=== debian/changelog ===
openwsman (2.3.6-0ubuntu1) raring; urgency=low

  * Sync with upstream 2.3.6
  * debian/control: Move to standards version 3.9.2
    - debian/*.install: Use relative source paths
    - debian/*.conffiles: Dropped
    - debian/source/format: New: "3.0 (quilt)"
    - debian/control: Add debhelper (>= 9.0.0) as build-dependency
    - debian/rules: Use dh format
    - debian/rules: Disable dh_auto_test. Testcases fail
    - debian/rules: Override dh_auto_install to install the client config
  * debian/control: Add build-dependency on cmake
  * debian/control: Drop build-dependency on cdbs
  * debian/control: Multi-Arch conversion for libopenwsman1 and
                    libwsman-clientpp1.
  * debian/rules: Drop cdbs includes
  * debian/rules: Drop extra build flags (not required anymore)
  * debian/libopenwsman-dev.install: Don't install .a files (not built)
  * debian/patches/cmake-findruby.patch: Fix FTBS caused by a certain
    usage of braces.
  * debian/patches/cmake-python-includes.patch: Need to use a different
    variable which has architecture specific include path as well.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 06 Feb 2013 13:59:29 +0100

openwsman (2.2.3-0ubuntu4) precise; urgency=low

  * debian/libopenwsman-dev.install: Don't install la-file (LP: #905538)

 -- Andreas Moog <amoog@ubuntu.com>  Fri, 16 Dec 2011 23:00:37 +0100

openwsman (2.2.3-0ubuntu3) oneiric; urgency=low

  * No-change rebuild for libssl0.9.8 -> libssl1.0.0 transition.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 21 Aug 2011 20:45:34 +0400

openwsman (2.2.3-0ubuntu2) natty; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/control: Add build-dep for libcimcclient0-dev, so that the CIM
    plugins gets built. (LP: #760835) 

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 15 Apr 2011 13:35:38 +0300

openwsman (2.2.3-0ubuntu1) maverick; urgency=low

  * New upstream release. (LP: #600392)

 -- Charlie Smotherman <cjsmo@cableone.net>  Sat, 10 Jul 2010 21:42:15 -0500

openwsman (2.0.0b1-0ubuntu2.2) lucid; urgency=low

  * Fixes typo in control (LP: #486823)

 -- arky <rakesh_ambati@yahoo.com>  Wed, 10 Feb 2010 18:42:15 +0530

openwsman (2.0.0b1-0ubuntu2.1) karmic-proposed; urgency=low

  * add "--disable-more-warnings" to fix FTBFS (LP: #427217)

 -- Whoopie <whoopie79@gmx.net>  Sun, 01 Nov 2009 04:11:16 +0100

openwsman (2.0.0b1-0ubuntu2) hardy; urgency=low

  * Missing depends on library by -dev package.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 04 Mar 2008 13:03:17 -0500

openwsman (2.0.0b1-0ubuntu1) hardy; urgency=low

  * Initial release
  * Disable eventing support. Causes re-entrant building
  * src/server/wsmand-daemon.c: Wrap some usages of eventing in ifdef's

 -- Ben Collins <bcollins@ubuntu.com>  Fri, 29 Feb 2008 14:06:25 -0500
